/* Importing Some Files */
@import "rtl.css";
@import "font-awesome.min.css";
/* Main Styles */
body{
    direction:rtl;
    min-height:100vh;
    font-family:yekan;
    display: flex;
    flex-direction: column;
    background:#141e30;
}
main{
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items:center;
}
main .container{
    max-width:500px;
}
main .container form button[type="submit"] .fa{
    vertical-align:middle;
}
body main h2 , body main label{
    user-select:none;
    color:white;
}
body main h2{
    text-align:center;
}
.login-box{
    position:absolute;
    background: rgba(0,0,0,.5);
    box-shadow: 0 15px 25px rgba(0,0,0,.6);
    border-radius: 10px;
    top: 50%;
    left: 50%;
    width: 400px;
    padding: 40px;
    transform: translate(-50%, -50%);
}
.user-box{
    position:relative;
}
.login-box .user-box input{
    background:transparent;
    width: 100%;
    padding: 18px 7px 5px 7px;
    font-size: 16px;
    color: #fff;
    margin-bottom: 30px;
    border: none;
    border-bottom: 1px solid #fff;
    outline: none;
    display:block;
    border-radius:4px;
}
.login-box .user-box label{
    position: absolute;
    top:0;
    right: 0;
    padding: 10px 0;
    font-size: 16px;
    color: #fff;
    pointer-events: none;
    transition: .5s;
}
.login-box .user-box input:focus ~ label , .login-box .user-box input.float ~ label{
    top: -14px;
    right: 5px;
    color:#c71016;
    font-size: 14px;
   font-weight:bold;
}

.login-box form button[name="login"] {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    color: #c71016;
    font-size: 16px;
    text-decoration: none;
    text-transform: uppercase;
    overflow: hidden;
    transition: .5s;
    margin-top: 40px;
    letter-spacing: 4px;
    background-color:transparent;
    border:none;
    outline:none;
    max-width:250px;
    align-self:center;
    width:100%;
}
.login-box button[name="login"]:hover {
    background: #c71016;
    color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 2.5px #c71016 , 0 0 6.25px #c71016 , 0 0 12.5px #c71016 , 0 0 25px #c71016;
}
.login-box button[name="login"] span {
    position: absolute;
    display: block;
}
.login-box button[name="login"] span:nth-child(1) {
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg, transparent, #c71016);
    animation: btn-anim1 1s linear infinite;
}
@keyframes btn-anim1 {
  0% {
    left: -100%;
  }
  50%,100% {
    left: 100%;
  }
}

.login-box button[name="login"] span:nth-child(2) {
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg, transparent, #c71016);
    animation: btn-anim2 1s linear infinite;
    animation-delay: .25s
}

@keyframes btn-anim2 {
  0% {
    top: -100%;
  }
  50%,100% {
    top: 100%;
  }
}

.login-box button[name="login"] span:nth-child(3) {
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg, transparent, #c71016);
    animation: btn-anim3 1s linear infinite;
    animation-delay: .5s
}

@keyframes btn-anim3 {
  0% {
    right: -100%;
  }
  50%,100% {
    right: 100%;
  }
}

.login-box button[name="login"] span:nth-child(4) {
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg, transparent, #c71016);
    animation: btn-anim4 1s linear infinite;
    animation-delay: .75s
}

@keyframes btn-anim4 {
  0% {
    bottom: -100%;
  }
  50%,100% {
    bottom: 100%;
  }
}
.login-box form{
    display:flex;
    flex-direction:column;
}
.login-box input[id="remember"]{
    appearance:none;
}
.login-box label[for="remember"]{
    background-color:white;
    border-radius:2.5px;
    height:20px;
    width:20px;
    vertical-align:middle;
    cursor:pointer;
    position:relative;
    margin-bottom:0;
}
.login-box .user-check span{
    user-select:none;
    color:white;
    margin-right:0.5rem;
}
.login-box .user-check label[for="remember"]::before{
    position:absolute;
    width:100%;
    height:100%;
    top:0;
    right:0;
    background-color:#c71016;
    content:'\f00c';
    border-radius:2.5px;
	font: normal normal normal 14px/1 FontAwesome;
	font-size: inherit;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	transition:transform 0.125s ease;
	display:flex;
	justify-content:center;
	align-items:center;
	transform:scale(0);
}
.login-box .user-check input[id="remember"]:checked + label[for="remember"]::before{
    transform:scale(1);
}
::-webkit-input-placeholder {
     color: transparent;
}
 :-moz-placeholder {
     color: transparent;
}
 ::-moz-placeholder {
     color: transparent;
}
 :-ms-input-placeholder {
     color: transparent;
}
 input::placeholder {
     color: transparent;
}
footer
{
        background-color: #141e30!important;
    border-top: 1px solid #3d3f51;
}